Problema de instalación RVM Ruby

Ya tengo Rubí y Rails instalados por algún tiempo y trabajé en algunos proyectos. Últimamente, he instalado la vista previa del desarrollador de Xcode 5 para preparar mis aplicaciones para iOS 7. Solo menciono esto en caso de que el nuevo Xcode lo estropee.

Noté por primera vez el error al intentar

rake asets:precompile 

en el directorio de proyectos de Rails. Da el siguiente error:

/Usuarios/Usuario/.rvm/bin/ruby: línea 6: /Usuarios/User/.rvm/bin/ruby: Lista de argumentos demasiado larga /Users/User/.rvm/bin/ruby: línea 6: / Usuarios / Usuario /.rvm/bin/ruby: Error indefinido: 0

Cuando bash

 ruby -v 

La ventana del terminal no responde al principio, el título del terminal parpadea entre “bash” y “env”, pero luego muestra el siguiente error:

 /Users/User/.rvm/bin/ruby: line 6: /Users/User/.rvm/bin/ruby: Argument list too long /Users/User/.rvm/bin/ruby: line 6: /Users/User/.rvm/bin/ruby: Undefined error: 0 

Y cuando lo bash

 rvm get stable 

Yo obtengo:

  % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 100 184 100 184 0 0 67 0 0:00:02 0:00:02 --:--:-- 163 100 13774 100 13774 0 0 3469 0 0:00:03 0:00:03 --:--:-- 75267 Downloading RVM from wayneeseguin branch stable % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 100 124 100 124 0 0 227 0 --:--:-- --:--:-- --:--:-- 306 100 1080k 100 1080k 0 0 286k 0 0:00:03 0:00:03 --:--:-- 491k Upgrading the RVM installation in /Users/User/.rvm/ chmod: Unable to change file mode on /Users/User/.rvm/scripts/aliases: Operation not permitted chmod: Unable to change file mode on /Users/User/.rvm/scripts/fix-permissions: Operation not permitted chmod: Unable to change file mode on /Users/User/.rvm/scripts/irbrc: Operation not permitted chmod: Unable to change file mode on /Users/User/.rvm/scripts/irbrc.rb: Operation not permitted Failed to set permissions of: /Users/User/.rvm/scripts/aliases /Users/User/.rvm/scripts/fix-permissions /Users/User/.rvm/scripts/irbrc /Users/User/.rvm/scripts/irbrc.rb, prefix the command with 'rvmsudo' to fix it, if the situation persist report a bug. RVM PATH line found in /Users/User/.bashrc /Users/User/.zshrc. RVM sourcing line found in /Users/User/.bash_profile /Users/User/.zprofile. Upgrade of RVM in /Users/User/.rvm/ is complete. # User, # # Thank you for using RVM! # I sincerely hope that RVM helps to make your life easier and more enjoyable!!! # # ~Wayne # In case of problems: # run and read: rvm notes # read docs: http://rvm.io/ # talk to us: http://webchat.freenode.net/?channels=rvm (http://freenode.net/faq.shtml#plusr) # read cheatsheet: http://cheat.errtheblog.com/s/rvm # watch screencast: http://screencasts.org/episodes/how-to-use-rvm # open a bug report: https://github.com/wayneeseguin/rvm/issues Upgrade Notes: * No new notes to display. RVM reloaded! 

Y finalmente, cuando entro:

 rvm install ruby-2.0.0-p247 

Yo obtengo:

 Searching for binary rubies, this might take some time. No binary rubies available for: osx/10.8/x86_64/ruby-2.0.0-p247. Continuing with comstacktion. Please read 'rvm help mount' to get more information on binary rubies. Installing Ruby from source to: /Users/User/.rvm/rubies/ruby-2.0.0-p247, this may take a while depending on your cpu(s)... ruby-2.0.0-p247 - #downloading ruby-2.0.0-p247, this may take a while depending on your connection... % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 100 10.3M 100 10.3M 0 0 129k 0 0:01:21 0:01:21 --:--:-- 264k ruby-2.0.0-p247 - #extracting ruby-2.0.0-p247 to /Users/User/.rvm/src/ruby-2.0.0-p247 ruby-2.0.0-p247 - #extracted to /Users/User/.rvm/src/ruby-2.0.0-p247 ruby-2.0.0-p247 - #configuring.................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................... ruby-2.0.0-p247 - #compiling........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................ ruby-2.0.0-p247 - #installing.................................................................................................................................. Retrieving rubygems-2.0.6 Extracting rubygems-2.0.6 ... Removing old Rubygems files... Installing rubygems-2.0.6 for ruby-2.0.0-p247................................... Error running 'env GEM_PATH=/Users/User/.rvm/gems/ruby-2.0.0-p247:/Users/User/.rvm/gems/ruby-2.0.0-p247@global:/Users/User/.rvm/gems/ruby-2.0.0-p247:/Users/User/.rvm/gems/ruby-2.0.0-p247@global GEM_HOME=/Users/User/.rvm/gems/ruby-2.0.0-p247 /Users/User/.rvm/rubies/ruby-2.0.0-p247/bin/ruby -d /Users/User/.rvm/src/rubygems-2.0.6/setup.rb', please read /Users/User/.rvm/log/ruby-2.0.0-p247/1374852277_rubygems.install.log Installation of rubygems did not complete successfully. Saving wrappers to '/Users/User/.rvm/wrappers/ruby-2.0.0-p247'........ ruby-2.0.0-p247 - #adjusting #shebangs for (gem irb erb ri rdoc testrb rake). ruby-2.0.0-p247 - #importing default gemsets, this may take time............................... Install of ruby-2.0.0-p247 - #complete 

Pero sigue siendo el mismo que antes.

Por lo que sé, no he cambiado nada en el sistema, solo he instalado el nuevo Xcode. ¿Alguien sabe qué está mal aquí? Desafortunadamente, estos comandos rvm / ruby ​​/ terminal, o más precisamente, la forma en que este ruby ​​install path-permission-rights es todavía muy nuevo para mí. ¡Muchas gracias por tu tiempo!

asegúrese de que su rvm está al día:

 rvm get stable 

entonces necesitas correr:

 rvm use ruby 

esto asegurará que su entorno esté configurado correctamente, muestra advertencias si algo está mal, debe leer las advertencias siempre y seguir las instrucciones

para hacer que ruby ​​use persistir en las próximas sesiones de shell use:

 rvm use --default ruby 

creará el alias default que se carga cuando se inicia rvm

Parece que el error está ocurriendo en la ruta de tu gem. ¿Estás seguro de que existe el @global gemset? Ejecutar lo siguiente debería aclarar el problema.

 rvm gemset create global